
import { Tabs as AntdTabs, Flex, Space, DatePicker } from 'antd'
import Tabs from '@/components/Tabs';
import styles from './index.less'
import LineBarCharts from './LineBarCharts';
import BaseCard from '@/pages/Common/components/BaseCard';

const { RangePicker } = DatePicker;

const AnalysisCompletionRate = () => {

  const tabItems = [
    {
      label: `整体结案趋势`,
      key: '1',
    },
    {
      label: `各类型结案率`,
      key: '2',

    },
    {
      label: `区域结案率`,
      key: '3',
    },
  ]

  const timeTabs = [
    {
      label: `本周`,
      key: '1',
    },
    {
      label: `本月`,
      key: '2',

    },
    {
      label: `全年`,
      key: '3',
    },
  ]

  return (
    <Flex vertical className={styles.wrap}>
      <Flex className={styles.top} justify='space-between'>
        <AntdTabs size="large" defaultActiveKey="1" centered items={tabItems} />
        <Space>
          <Tabs
            onChange={() => { }}
            itemkey={'key'}
            items={timeTabs}
          />
          <RangePicker
          />
        </Space>
      </Flex>
      <div style={{ flex: 1}}>
        <LineBarCharts />
      </div>
      <BaseCard>
        <Flex justify='space-between' align='flex-end' className={styles.bottom}>
          <Space direction='vertical' >
            <span>
              <span className={styles.num}>56</span>
              <span>件</span>
            </span>
            <span>本周累计立案</span>
          </Space>
          <Space direction='vertical'>
            <span>
              <span className={styles.num} style={{ fontSize: 30, lineHeight: 1 }}>2024-10-20</span>
            </span>
            <span style={{ lineHeight: 1 }}>立案最多一天</span>
          </Space>
          <Space direction='vertical' >
            <span>
              <span className={styles.num}>89.6</span>
              <span>%</span>
            </span>
            <span>平均结案率</span>
          </Space>
          <Space direction='vertical' >
            <span>
              <span className={styles.num}>10</span>
              <span>天</span>
            </span>
            <span>结案率超95%的天数</span>
          </Space>
          <Space direction='vertical' >
            <span>
              <span className={styles.num}>5</span>
              <span>天</span>
            </span>
            <span>结案率低于95%的天数</span>
          </Space>
        </Flex>
      </BaseCard>
    </Flex>
  )
}

export default AnalysisCompletionRate