import { Flex, Space } from 'antd'
import styles from './index.less'
import IssueDescription from '@/pages/Common/components/IssueDescription'
import ProcessCard from '@/pages/Common/components/ProcessCard'
import BaseCard from '@/pages/Common/components/BaseCard'
import LineCharts from './LineCharts'
import Tabs from '@/components/Tabs';

const RiskEvents = () => {

  const changeListTab = () => {

  }

  const onChangeCategory = () => {

  }

  const areas = [
    {
      name: '高新区',
      progress: 50,
      value: 300,
      rate: 30.6
    },
    {
      name: '新都区',
      progress: 50,
      value: 300,
      rate: 30.6
    },
    {
      name: '龙泉驿区',
      progress: 50,
      value: 300,
      rate: 30.6
    }
  ]

  const category = [
    {
      name: '类别一',
      progress: 50,
      value: 300,
      rate: 30.6
    },
    {
      name: '类别二',
      progress: 50,
      value: 300,
      rate: 30.6
    },
    {
      name: '类别三',
      progress: 50,
      value: 300,
      rate: 30.6
    }
  ]

  return (
    <Flex gap={30} className={styles.wrap}>

      <div className={styles.more}>
         进入“安全一张图”查看更多
      </div>

      <Space direction='vertical' size={15} className={styles.left}>

        <BaseCard
          title='风险预警趋势(近30天)'
          style={{
            height: 304,
            paddingTop: 20
          }}
        >
          <div style={{ padding: '15px' }}>
            <LineCharts />
          </div>
        </BaseCard>

        <ProcessCard
          title='高发类别'
          extra={
            <Tabs
              style={{
                background: 'transparent',
                height: '30px'
              }}
              itemStyle={{
                borderRadius: '25px',
                background: 'rgba(7, 50, 93, 0.8)',
                fontSize: '16px',
                marginLeft: 8
              }}
              onChange={onChangeCategory}
              itemkey={'key'}
              items={[
                {
                  key: '1',
                  label: '大类'
                },
                {
                  key: '2',
                  label: '小类'
                },
                {
                  key: '3',
                  label: '细类'
                }
              ]}
            />
          }
          data={category}
          strokeColor={{
            '0%': '#38F2E3',
            '100%': '#3DC3FF',
          }}
        />

        <ProcessCard
          title='高发区域'
          data={areas}
          strokeColor={{
            '0%': '#FFCCCC',
            '100%': '#EEFFEB',
          }}
        />
      </Space>
      <div className={styles.right}>
        <div>
          <Tabs
            style={{
              background: 'transparent',
              height: '50px'
            }}
            itemStyle={{
              borderRadius: '25px',
              background: 'rgba(7, 50, 93, 0.8)',
              fontSize: '20px',
              marginLeft: 8
            }}
            onChange={onChangeCategory}
            itemkey={'key'}
            items={[
              {
                key: '0',
                label: '全部风险 12 个'
              },
              {
                key: '1',
                label: '重大风险 12 个'
              },
              {
                key: '2',
                label: '较大风险 12 个'
              },
              {
                key: '3',
                label: '一般风险 12 个'
              }
            ]}
          />
        </div>
        <IssueDescription />
      </div>
    </Flex>
  )
}

export default RiskEvents;