import { Flex, Space, Input  } from 'antd'
import styles from './index.less'
import PieCharts from '@/components/PieCharts'
import CategoryItem from './CategoryItem'
import Tabs from '@/components/Tabs';
import IssueDescription from '@/pages/Common/components/IssueDescription'
import BaseCard from '@/pages/Common/components/BaseCard'

const ImportantEvents = () => {

  const changeListTab = () => {

  }

  const tabsItems = [
    {
      key: '1',
      label: '时限正常16'
    },
    {
      key: '2',
      label: '严重超期0'
    },
    {
      key: '3',
      label: '轻微超期0'
    },
    {
      key: '4',
      label: '临近超期2'
    }
  ]


  return (
    <Flex gap={30} className={styles.wrap}>
      <Space direction='vertical' size={0} className={styles.left}>
        <BaseCard
          title='来源分布'
          style={{
            paddingTop: 20,
            borderRadius: '20px 20px 0 0'
          }}
        >
          <Flex className={styles.content}>
            <div>
              <PieCharts style={{ width: 120, height: 150 }} color={['#29B5FF','#FF9B5D','#FFE335']} />
            </div>
            <div>
              <CategoryItem />
              <CategoryItem />
              <CategoryItem />
            </div>
          </Flex>
        </BaseCard>
        <BaseCard
          title='区县分布'
          style={{
            paddingTop: 20,
            borderRadius: '0 0 20px 20px'
          }}
        >
          <Flex className={styles.content}>
            <div>
              <PieCharts style={{ width: 120, height: 150 }}  color={['#FFFCA1','#85E979','#52F9FF']} />
            </div>
            <div>
              <CategoryItem />
              <CategoryItem />
              <CategoryItem />
            </div>
          </Flex>
        </BaseCard>
        {/* <Space direction='vertical' size={15} className={styles.left}>
          <div className={styles.middle}>
            <div className={styles.title}>主要处理类型（近30天）</div>
            <Flex className={styles.content}>
              <div>
                <PieCharts style={{ width: 120, height: 150 }} />
              </div>
              <div>
                <CategoryItem />
                <CategoryItem />
                <CategoryItem />
              </div>
            </Flex>
          </div>
        </Space> */}
      </Space>
      <div className={styles.right}>
        <Flex justify='space-between'>
          <span className={styles.tips}>18 条事件还未处置结案</span>
          <Space size={20}>
            <Tabs 
              onChange={changeListTab} 
              itemkey={'key'} 
              items={tabsItems}
              itemStyle={{
                fontFamily: 'initial'
              }}
            />
            <Input className={styles.searhInput} placeholder="输入事件名称、编号搜索事件" style={{ width: 310}} />
          </Space>
        </Flex>
        <IssueDescription />
      </div>
    </Flex >
  )
}

export default ImportantEvents