import { useGlobalModalServices } from '@/pages/GlobalModalServices/provider';
import { CaretDownFilled, SmileOutlined } from '@ant-design/icons';
import { Dropdown, MenuProps, Space } from 'antd';
import { useEffect, useState } from 'react';
import RealtimeCQI from '../RealtimeCQI';
import RightBox from '../RightBox';
import StreetMap from '../StreetMap';
import styles from './index.less';

interface PropsType {
  data: any;
}
/** @name 区域指数弹窗 */
const DistrictIndex: React.FC<PropsType> = (props) => {
  const { dispatch } = useGlobalModalServices();

  useEffect(() => {
    dispatch.setOptions({
      headerLeft: () => {
        return (
          <div style={{ marginLeft: 50 }}>
            <Dropdown menu={{ items }} trigger={['click', 'hover']}>
              <Space>
                <div className={styles.name}>天府新区</div>
                <CaretDownFilled style={{ color: '#fff' }}></CaretDownFilled>
              </Space>
            </Dropdown>
          </div>
        );
      },
    });
  }, []);

  const [data, setData] = useState<any>({});

  const items: MenuProps['items'] = [
    {
      key: '1',
      label: (
        <a
          target="_blank"
          rel="noopener noreferrer"
          href="https://www.antgroup.com"
        >
          1st menu item
        </a>
      ),
    },
    {
      key: '2',
      label: (
        <a
          target="_blank"
          rel="noopener noreferrer"
          href="https://www.aliyun.com"
        >
          2nd menu item (disabled)
        </a>
      ),
      icon: <SmileOutlined />,
      disabled: true,
    },
    {
      key: '3',
      label: (
        <a
          target="_blank"
          rel="noopener noreferrer"
          href="https://www.luohanacademy.com"
        >
          3rd menu item (disabled)
        </a>
      ),
      disabled: true,
    },
    {
      key: '4',
      danger: true,
      label: 'a danger item',
    },
  ];
  return (
    <div className={styles.container}>
      <RealtimeCQI></RealtimeCQI>
      <StreetMap></StreetMap>
      <RightBox></RightBox>
    </div>
  );
};

export default DistrictIndex;
