import { CaretUpFilled } from '@ant-design/icons';
import { Flex, Space } from 'antd';
import React from 'react';

import LineCharts from '../LineCharts';
import styles from './index.less';

const RealtimeCQI: React.FC = () => {
  const cards = [
    {
      name: '安全',
      value: '99.5',
      color: '#57EF58',
      background: 'rgba(39, 211, 134, 0.2)',
    },
    {
      name: '整洁',
      value: '99.5',
      color: '#FFA250',
      background: 'rgba(255, 188, 130, 0.2)',
    },
    {
      name: '有序',
      value: '99.5',
      color: '#447FF0',
      background: 'rgba(130, 173, 255, 0.2)',
    },
    {
      name: '便民',
      value: '99.5',
      color: '#57EF58',
      background: 'rgba(39, 211, 134, 0.2)',
    },
    {
      name: '美观',
      value: '99.5',
      color: '#57EF58',
      background: 'rgba(39, 211, 134, 0.2)',
    },
  ];
  const ranks = [
    {
      title: '公共广场私搭乱建',
      categroy: '安全',
    },
    {
      title: '建筑物外立面不洁',
      categroy: '安全',
    },
    {
      title: '人行道（含盲道）破损',
      categroy: '安全',
    },
  ];
  return (
    <div className={styles.container}>
      <Flex justify="space-between" align="center" className={styles.header}>
        <Space className={styles.title}>
          实时CQI
          <span className={styles.title_time}>09:30</span>
        </Space>
        <Flex justify="flex-end" className={styles.compare}>
          <Space size={10}>
            <span className={styles.tips}>较1小时前</span>
            <CaretUpFilled style={{ color: '#57ef58' }} />
            <span className={styles.compareNum}>1.3</span>
          </Space>
        </Flex>
      </Flex>

      <Flex
        justify="space-between"
        align="center"
        className={styles.chartSection}
      >
        <div>
          <Flex align="center" gap={13}>
            <span className={styles.num}>95.5</span>
            <span className={styles.tag}>理想型</span>
          </Flex>
          <span className={styles.title}>城市运行良好</span>
        </div>
        <LineCharts
          style={{
            width: 386,
            height: 85,
          }}
        />
      </Flex>

      <div className={styles.cardSection}>
        <Flex justify="space-between">
          {cards.map((item, index) => (
            <Flex
              vertical
              justify="center"
              align="center"
              gap={10}
              key={index}
              className={styles.card}
              style={{ background: item.background }}
            >
              <div className={styles.name}>{item.name}</div>
              <div className={styles.value} style={{ color: item.color }}>
                {item.value}
              </div>
            </Flex>
          ))}
        </Flex>
      </div>
      <div className={styles.subTitle}>影响指标TOP3</div>
      <div>
        {ranks.map((item, index) => (
          <Flex
            className={styles.listCard}
            justify="space-between"
            align="center"
            key={item.title}
          >
            <Flex gap={25} align="center">
              <div className={styles.rankTag}>TOP{index + 1}</div>
              <div className={styles.desc}>
                <p>{item.title}</p>
                <span>{item.categroy}</span>
              </div>
            </Flex>
            <div className={styles.infRate}>
              <span>影响占比</span>
              <span>41</span>
              <span>%</span>
            </div>
          </Flex>
        ))}
      </div>
    </div>
  );
};

export default RealtimeCQI;
