import { MinusOutlined, PlusOutlined } from '@ant-design/icons';
import { Space } from 'antd';
import React from 'react';
import { useDistrictContext } from '../..';
import DistrictDetailBar from '../DIstrictDetailBar';
import styles from './index.less';

/** 地图 */
const DistrictMap: React.FC = () => {
  const { selectDistrict } = useDistrictContext();

  return (
    <div
      className={styles.container}
      style={{
        backgroundImage: selectDistrict
          ? 'url(' + require('@/assets/images/map/mapDemo2.png') + ')'
          : 'url(' + require('@/assets/images/map/mapDemo1.png') + ')',
      }}
    >
      {selectDistrict && (
        <div className={styles.districtName}>{selectDistrict.name}</div>
      )}
      <div className={styles.statusBar}>
        <Space>
          <div className={styles.mark} style={{ backgroundColor: '#F24F4F' }} />
          <div>应急态 &lt;60</div>
        </Space>
        <Space>
          <div className={styles.mark} style={{ backgroundColor: '#FFA81A' }} />
          <div>预警态 &lt;85</div>
        </Space>
        <Space>
          <div className={styles.mark} style={{ backgroundColor: '#00B9FF' }} />
          <div>标准态 85-95</div>
        </Space>
        <Space>
          <div className={styles.mark} style={{ backgroundColor: '#57EF58' }} />
          <div>理想态 &gt;95</div>
        </Space>
      </div>
      <div className={styles.mapController}>
        <div>
          <img src={require('@/assets/images/map/mapReload.png')} alt="" />
        </div>
        <div>
          <PlusOutlined></PlusOutlined>
        </div>
        <div>
          <MinusOutlined />
        </div>
      </div>
      {selectDistrict && <DistrictDetailBar></DistrictDetailBar>}
    </div>
  );
};

export default DistrictMap;
