import { useState, useEffect } from 'react';
import { Flex, Spin } from 'antd'
import styles from './index.less'
import Modal from '@/components/HncyModal';
import InfluenceSign from '@/pages/Common/InfluenceSign'
import services from '@/services';

const InfluenceIndex = () => {

  const [modalOpen, setModalOpen] = useState(false)

  const [questionData, setQuestionData] = useState<any>([])

  const [loading, setLoading] = useState(false)

  const ranks = [
    {
      title: '公共广场私搭乱建',
      categroy: '安全',
    },
    {
      title: '建筑物外立面不洁',
      categroy: '安全'
    },
    {
      title: '人行道（含盲道）破损',
      categroy: '安全'
    }
  ]

  const getListData = () => {
    setLoading(true)
    const params = {
      objectId: '1', // 对象id
      indexId: '100001', // 指数id
      n: '5', // 默认5
      indexType: '1', // 内评价0，外评价1，默认外评价
    }
    services.Physicalsign.getPhysicalsignindexquestioninstanceListTop(params).then((res) => {
      console.log(res)
      if (res.code === 200) {
        setQuestionData(res.data)
        setLoading(false)
      }
    })
  }

  useEffect(() => {
    getListData()
  }, [])

  return (
    <div className={styles.wrap}>
      <Spin
        spinning={loading}
        style={{ width: '100%', height: '100%' }}
      >
        {
          questionData.map((item, index) => (
            <Flex className={styles.listCard} justify='space-between' align='center' key={index} onClick={() => setModalOpen(true)}>
              <Flex gap={25} align='center'>
                <div className={styles.rankTag}>TOP{index + 1}</div>
                <div className={styles.desc}>
                  <p>{item.conditionName}</p>
                  <span>{item.fullName}</span>
                </div>
              </Flex>
              <div className={styles.infRate}>
                <span>影响占比</span>
                <span>{item.weight}</span>
                <span>%</span>
              </div>
            </Flex>
          ))
        }
      </Spin>

      <Modal
        open={modalOpen}
        title={'影响指标'}
        onCancel={() => setModalOpen(false)}
        width={1470}
        height={846}
        mask={false}
      >
        <InfluenceSign />
      </Modal>
    </div>
  )
}

export default InfluenceIndex